<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-login](./foundation-login.md) &gt; [Settings](./foundation-login.settings.md)

## Settings type

Defines the parameters you may set on the routes.

**Signature:**

```typescript
export type Settings = {
    public?: boolean;
};
```

## Remarks

See the example in the [Login](./foundation-login.login.md) class in the router's `configure` method for usage. All parameters are Optional.

